Bug 257903

Summary: www/node14: Update to 14.17.6
Product: Ports & Packages Reporter: Jose Luis Duran <jlduran>
Component: Individual Port(s)Assignee: Juraj Lutter <otis>
Status: Closed FIXED    
Severity: Affects Only Me CC: freebsdbugs, otis
Priority: --- Keywords: security
Version: LatestFlags: bugzilla: maintainer-feedback? (bhughes)
Hardware: Any   
OS: Any   
URL: https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V14.md#14.17.6
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257900
Attachments:
Description Flags
www/node14: Update to 14.17.5
none
www/node14: Update to 14.17.5
none
www/node14: Update to 14.17.6 none

Description Jose Luis Duran 2021-08-17 02:03:47 UTC
Created attachment 227266 [details]
www/node14: Update to 14.17.5

Changelog: https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V14.md#14.17.5

Differential Revision: https://reviews.freebsd.org/D31433

It includes an out-of-tree patch, being tracked in: https://github.com/nodejs/node/pull/39739

Also, fix sorting in pkg-plist to reduce the diffs with make makeplist
Comment 1 Jose Luis Duran 2021-08-17 14:56:20 UTC
Created attachment 227284 [details]
www/node14: Update to 14.17.5

Remove unneeded patch (changes are in-tree).
Comment 2 Juraj Lutter freebsd_committer 2021-08-30 19:52:38 UTC
review D31433
Comment 3 Jose Luis Duran 2021-08-31 16:32:01 UTC
Created attachment 227571 [details]
www/node14: Update to 14.17.6
Comment 4 Juraj Lutter freebsd_committer 2021-09-19 11:00:17 UTC
review D32019
Comment 5 Juraj Lutter freebsd_committer 2021-09-23 20:27:12 UTC
Committed by bhughes.